using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.DI
{
	public interface IDependencyContainer
	{
		void AddLogging(Action<ILoggingBuilder> configure);
		void RegisterType<T, U>(bool isSingle) where U : class, T where T : class;
		void RegisterType<T>(bool isSingle) where T : class;
		T Resolve<T>();
	}
}
